﻿using Microsoft.ML.Data;

internal class HousingData
{
    [LoadColumn(0)]
    public float Longitude { get; set; }
    [LoadColumn(1)]
    public float Latitude { get; set; }
    [LoadColumn(2)]
    public float Age { get; set; }
    [LoadColumn(3)]
    public float Total_Rooms { get; set; }
    [LoadColumn(4)]
    public float Total_Bedrooms { get; set; }
    [LoadColumn(5)]
    public float Population { get; set; }
    [LoadColumn(6)]
    public float Households { get; set; }
    [LoadColumn(7)]
    public float Median_Income { get; set; }
    [LoadColumn(8)]
    [ColumnName("Label")]
    public float Value { get; set; }
    [LoadColumn(9)]
    public string Ocean_Proximity { get; set; }
}